class EfileResponse {
  bool con;
  String msg;
  List<EfileResults> results;

  EfileResponse({this.con, this.msg, this.results});

  EfileResponse.fromJson(Map<String, dynamic> json) {
    if (json["con"] is bool) this.con = json["con"];
    if (json["msg"] is String) this.msg = json["msg"];
    if (json["results"] is List)
      this.results = json["results"] == null
          ? []
          : (json["results"] as List)
              .map((e) => EfileResults.fromJson(e))
              .toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["con"] = this.con;
    data["msg"] = this.msg;
    if (this.results != null)
      data["results"] = this.results.map((e) => e.toJson()).toList();
    return data;
  }
}

class EfileResults {
  int id;
  String username;
  String document;
  String pathFile;

  EfileResults({this.id, this.username, this.document, this.pathFile});

  EfileResults.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["username"] is String) this.username = json["username"];
    if (json["dokumen"] is String) this.document = json["dokumen"];
    if (json["path_file"] is String) this.pathFile = json["path_file"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["id"] = this.id;
    data["username"] = this.username;
    data["dokumen"] = this.document;
    data["path_file"] = this.pathFile;
    return data;
  }
}
